#
# spec file for package mojo-parent
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           mojo-parent
Version:        70
Release:        1.3
Summary:        Codehaus MOJO parent project pom file
License:        Apache-2.0
Group:          Development/Libraries/Java
URL:            https://www.mojohaus.org/mojo-parent/
Source0:        https://github.com/mojohaus/mojo-parent/archive/%{name}-%{version}.tar.gz
Source1:        http://www.apache.org/licenses/LICENSE-2.0.txt
BuildRequires:  javapackages-local
Requires:       mvn(org.junit:junit-bom:pom:)
BuildArch:      noarch

%description
Codehaus MOJO parent project pom file

%prep
%setup -q -n %{name}-%{name}-%{version}
# Not needed
%pom_remove_plugin :maven-enforcer-plugin
%pom_remove_plugin :maven-site-plugin
%pom_remove_plugin :maven-checkstyle-plugin

cp %{SOURCE1} .

%build

%install
install -dm 0755 %{buildroot}%{_mavenpomdir}/%{name}
install -pm 0644 pom.xml %{buildroot}%{_mavenpomdir}/%{name}/%{name}.pom
%add_maven_depmap %{name}/%{name}.pom -a org.codehaus.mojo:mojo

%files -f .mfiles
%license LICENSE-2.0.txt

%changelog
* Sun Dec  4 2022 Dirk Müller <dmueller@suse.com>
- update to 70:
  * Improvement checkstyle configuration
  * Add modello-maven-plugin to pluginManagement
  * Remove Google search box due to privacy (#274) @slawekjaranowski
  * Put version for mrm-maven-plugin in property (#273) @slawekjaranowski
  * Add streamLogsOnFailures to m-invoker-p (#272) @slawekjaranowski
  * Add property for maven-fluido-skin version (#268) @slawekjaranowski
  * Setup Apache Matomo analytics (#259) @slawekjaranowski
  * Downgrade Checkstyle to 9.3. 10.x requires Java 11(ecfb1d1)
  * remove requirement to use ssh for github scm devCon
  * Require Maven 3.2.5 (#215) @slachiewicz
  * [#225] add SHA-512 hashes (#226) @bmarwell
  * Extract plugin version as variable so child pom can override if needed (#84) @nhojpatrick
  * remove issue-tracking as do not exists anymore (#148) @olamy
  * remove cim report as it do not exists anymore (#147) @olamy
* Fri Mar 25 2022 Fridrich Strba <fstrba@suse.com>
- Upgrade to version 60
  * Compatible with newer plugins
* Sun Mar 17 2019 Fridrich Strba <fstrba@suse.com>
- Initial packaging of mojo-parent 40
